CVE-2020-10968

NameCVE-2020-10968
DescriptionFasterXML jackson-databind 2.x before 2.9.10.4 mishandles the interaction between serialization gadgets and typing, related to org.aoju.bus.proxy.provider.remoting.RmiProvider (aka bus-proxy).
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2179-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
jackson-databind (PTS)stretch2.8.6-1+deb9u7fixed
stretch (security)2.8.6-1+deb9u8fixed
buster2.9.8-3+deb10u2fixed
buster (security)2.9.8-3+deb10u1vulnerable
bullseye, sid2.11.1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
jackson-databindsourcejessie2.4.2-2+deb8u14DLA-2179-1
jackson-databindsourcestretch2.8.6-1+deb9u7
jackson-databindsourcebuster2.9.8-3+deb10u2
jackson-databindsource(unstable)2.11.1-1

Notes

https://github.com/FasterXML/jackson-databind/issues/2662
Starting from 2.10 series mitigated as Safe Default Typing is enabled by default
but still an issue when Default Typing is enabled.

Search for package or bug name: Reporting problems